import { useEffect } from "react";

const PolriTvWidget = () => {
  useEffect(() => {
    if (typeof window !== "undefined") {
      const script = document.createElement("script");
      script.src = "https://embedsocial.com/cdn/ht.js";
      script.id = "EmbedSocialHashtagScript";
      script.async = true;
      document.head.appendChild(script);

      return () => {
        document.head.removeChild(script);
      };
    }
  }, []);

  return (
    <div className="h-[310px]">
      <iframe
        style={{ width: "100%", height: "100%" }}
        className="rounded-lg"
        scrolling="no"
        src="https://embedsocial.com/api/pro_hashtag/e025d6147bb208952ae5db84f99e54f2388cea0d"
      ></iframe>
    </div>
  );
};

export default PolriTvWidget;
